Skip to contents

# Create a HTML report for a municipality

Source: `R/create_report.R`
`create_report.Rd`

Create a HTML report for a municipality

## Usage

    create_report(
      code_muni,
      date_start,
      date_end,
      temp_max_min_avg = TRUE,
      temp_max_min_sd = FALSE,
      prec_sum = TRUE,
      prec_avg = FALSE,
      prec_sd = FALSE,
      eto_sum = TRUE,
      eto_avg = FALSE,
      eto_sd = FALSE,
      rh_avg = TRUE,
      rh_sd = FALSE,
      rs_avg = TRUE,
      rs_sd = FALSE,
      u2_avg = TRUE,
      u2_sd = FALSE,
      set_title = NULL,
      output_format = rmarkdown::html_document(theme = "yeti"),
      output_file = "report.html",
      output_dir = getwd()
    )

## Arguments

code_muni

  IBGE municipality code number with 7 digits.

date_start

  A date.

date_end

  A date, >= than `date_start`.

temp_max_min_avg

  Logical, plot max and min average

temp_max_min_sd

  Logical, plot max and min standard deviation.

prec_sum

  Logical, plot precipitation sum.

prec_avg

  Logical, plot precipitation average.

prec_sd

  Logical, plot precipitation standard deviation.

eto_sum

  Logical, plot evapotranspiration sum.

eto_avg

  Logical, plot evapotranspiration average.

eto_sd

  Logical, plot evapotranspiration standard deviation.

rh_avg

  Logical, plot relative humidity average.

rh_sd

  Logical, plot relative humidity standard deviation.

rs_avg

  Logical, plot solar radiation average.

rs_sd

  Logical, plot solar radiation standard deviation.

u2_avg

  Logical, plot wind speed average.

u2_sd

  Logical, plot wind speed standard deviation.

set_title

  Report title. If `NULL`, the municipality code will be used.

output_format

  A `rmarkdown::html_document` object.

output_file

  Output file name.

output_dir

  Output file address. Defaults to current address from `getwd()`.

## Value

A HTML file.